﻿using ImpromptuInterface;
using System;

namespace MultiConsole
{
    using InternalUtility;

    public static class ConsoleFactory
    {
        public static IConsole GetFromCurrentProcess()
        {
            return new StaticWrapper(typeof(Console)).ActLike();
        }

        public static IConsole Create(string title)
        {
            IConsole con = new ConsoleProxyServer().ActLike();
            con.Title = title;

            return con;
        }

        public static void CloseConsole(IConsole console)
        {
            var svr = console.UndoActLike() as ConsoleProxyServer;
            if (svr != null)
                svr.Shutdown();
        }
    }
}